<?php

/**
 * @package Vimeo Embedder BBC Mod
 * @version 2.2
 * @Modified for Vimeo use by Pipke
 * @copyright Copyright (C) 2012 - 2014, Pipke
 * @license http://www.mozilla.org/MPL/MPL-1.1.html
 */

/*
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is http://missallsunday.com code.
 *
 * The Initial Developer of the Original Code is
 * Jessica González.
 * Portions created by the Initial Developer are Copyright (C) 2011, 2012, 2013
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 * Pipke(AdemaStudios)
 *
 */ 

global $scripturl, $txt;

$txt['vimeo_settings_title'] = 'Vimeo BBC';
$txt['vimeo_settingsnote'] = 'Note: If the owner of a video is a Plus member, some of these settings may be overridden by their preferences.';
$txt['vimeo_master'] = 'Enable Vimeo Embedder BBC Mod';
$txt['vimeo_master_sub'] = 'This is the master setting, it needs to be enabled for the mod to work.';
$txt['vimeo_autoplay'] = 'Play the video automatically on load:';
$txt['vimeo_autoplay_sub'] = 'Note that this won\'t work on some devices.';
$txt['vimeo_badge'] = 'Enables the badge on the video:';
$txt['vimeo_badge_sub'] = 'Default setting is on.';
$txt['vimeo_byline'] = 'Show the user\'s byline on the video:';
$txt['vimeo_byline_sub'] = 'Default setting is on.';
$txt['vimeo_loop'] = 'Play the video again when it reaches the end:';
$txt['vimeo_loop_sub'] = 'Default setting is off.';
$txt['vimeo_portrait'] = 'Show the user\'s portrait on the video:';
$txt['vimeo_portrait_sub'] = 'Default setting is on.';
$txt['vimeo_video_title'] = 'Show the title on the video:';
$txt['vimeo_video_title_sub'] = 'Default setting is on.';
$txt['vimeo_color'] = 'Specify the color of the video controls:';
$txt['vimeo_color_sub'] = 'If empty it will take the default color: #00adef';
$txt['vimeo_video_width'] = 'Video\'s width:';
$txt['vimeo_video_width_sub'] = 'If empty it will take the default value: 640';
$txt['vimeo_video_height'] = 'Video\'s height:';
$txt['vimeo_video_height_sub'] = 'If empty it will take the default value: 360';
$txt['vimeo_desc'] = 'Insert Vimeo video URL'; 

// Error strings
$txt['vimeo_unvalid_url'] = '[vimeo]Not a valid Vimeo URL[/vimeo]';
$txt['vimeo_unvalid_id'] = '[vimeo]Not a valid Vimeo ID[/vimeo]';
