<?php

/**
 * @package Vimeo Embedder BBC Mod
 * @version 2.2
 * @Modified for Vimeo use by Pipke
 * @copyright Copyright (C) 2012 - 2014, Pipke
 * @license http://www.mozilla.org/MPL/MPL-1.1.html
 */

/*
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is http://missallsunday.com code.
 *
 * The Initial Developer of the Original Code is
 * Jessica Gonzlez.
 * Portions created by the Initial Developer are Copyright (C) 2011, 2012, 2013
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 * Pipke(AdemaStudios)
 *
 */ 

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

$hooks = array(
	'integrate_pre_include' => '$sourcedir/vimeobbc.php',
	'integrate_bbc_codes' => 'vimeo_bbc_add_code',
	'integrate_bbc_buttons' => 'vimeo_bbc_add_button',
	'integrate_modify_modifications' => 'vimeo_bbc_settings',
	'integrate_admin_areas' => 'vimeo_bbc_admin',
	'integrate_menu_buttons' => 'vimeo_bcc_copyright',
	);

foreach ($hooks as $hook => $function)
	remove_integration_function($hook, $function);
	
//Remove db-settings
$smcFunc['db_query']('', "DELETE FROM {db_prefix}settings WHERE variable LIKE 'vimeo_%'");
